/*****************************************************************************
/*
/*            INSTITUTO NACIONAL PARA LA EVALUACIN DE LA EDUCACIN
/*                       DIRECCIN DE PRUEBAS Y MEDICIN
/*                           SUBDIRECCION DE ANLISIS
/*_____________________________________________________________________________
/*
/*            EXAMENES DE LA CALIDAD Y EL LOGRO EDUCATIVOS (Excale)
/*                TERCER GRADO DE PRIMARIA (Excale 03)
/*
/*                      **** MATEMTICAS ****
/*
/*                 Ciclo escolar evaluado: 2005 - 2006
/*_____________________________________________________________________________
/*
/*
/*    PROGRAMA PARA CONSTRUIR LA BASE DE DATOS DE ALUMNOS DE LA ASIGNATURA DE
/*                           MATEMTICAS EN FORMATO SAS
/*
/*_____________________________________________________________________________
/*
/*  El programa convierte el archivo Excale03_2006_Alum_Mate.txt el cual est en
/*  formato ASCII a una base de datos en formato SAS. La sintxis realiza las
/*  siguientes tareas:
/*   - Declara formatos para algunas varibles
/*   - Lectura de variables del archivo en formato ASCII
/*   - Declara los valores perdidos por el usuario (missing values)
/*
/* INSTRUCCIONES
/*  Para construir la base de datos (tabla de datos) es necesario:
/*      1) Crear una carpeta de trabajo y colocar en ella al archivo Excale03_2006_Alum_Mate.txt
/*         as como el archivo Excale03_2006_Alum_Mate.SAS (este archivo) los cules se pueden
/*         descargar del sitio web del INEE.
/*      2) Modificar la primera y segunda lnea de los comandos de este archivo
/*         (libname y filename) para actualizar el nombre de la libreria y el archivo
/*         de trabajo.
/*      3) Ejecutar el programa del archivo.
/*
/*  Al finalizar, se crear la base de datos (tabla de datos) Excale03_2006_Alum_Mate.sas7bdat.
/*
/*  Posteriormente, cuando se desee utilizar nuevamente la base Excale03_2006_Alum_Mate.sas7bdat,
/*  se deber ejecutar primero el procedimiento FORMAT ("proc FORMAT") de este programa para que
/*  SAS carge los formatos necesarios para abrir la base.
/*
/* CONTACTO:
/*
/*      Para mayor informacin o aclaracin de dudas favor de contactar a la
/*      Subdireccin de Anlisis del Instituto
/*      Correo electrnico: excale.analisis@inee.edu.mx
/*      Tel 5482 0900 Ext. 1082
/*      Domicilio: Jos Ma. Velasco No. 101. 3er piso. Col. San Jos Insurgentes
/*                 Del. Benito Jurez. Mxico. D.F.
/*
/* FECHA DE ELABORACIN: 9 DE OCTUBRE DE 2007
/*
/*  ****************************************************************************/

LIBNAME  INEE  "C:\***\";
FILENAME alum "C:\***\Excale03_2006_Alum_Mate.TXT";

PROC FORMAT;
     VALUE id_entF     1         ="Aguascalientes"
                       2         ="Baja California"
                       3         ="Baja California Sur"
                       4         ="Campeche"
                       5         ="Coahuila"
                       6         ="Colima"
                       7         ="Chiapas"
                       8         ="Chihuahua"
                       9         ="Distrito Federal"
                       10        ="Durango"
                       11        ="Guanajuato"
                       12        ="Guerrero"
                       13        ="Hidalgo"
                       14        ="Jalisco"
                       15        ="Mxico"
                       16        ="Michoacn"
                       17        ="Morelos"
                       18        ="Nayarit"
                       19        ="Nuevo Len"
                       20        ="Oaxaca"
                       21        ="Puebla"
                       22        ="Quertaro"
                       23        ="Quintana Roo"
                       24        ="San Luis Potos"
                       25        ="Sinaloa"
                       26        ="Sonora"
                       27        ="Tabasco"
                       28        ="Tamaulipas"
                       29        ="Tlaxcala"
                       30        ="Veracruz"
                       31        ="Yucatn"
                       32        ="Zacatecas";
     VALUE id_modF     1         ="Urbanas Pblicas"
                       2         ="Rurales Pblicas"
                       3         ="Educacin Indgena"
                       4         ="Cursos Comunitarios"
                       5         ="Privadas"
                       6         ="Generales"
                       7         ="Tcnicas"
                       8         ="Telesecundarias"
                       9         ="Privadas";
     VALUE  $modF      "UP"      ="Urbanas Pblicas"
                       "RP"      ="Rurales Pblicas"
                       "EI"      ="Educacin Indgena"
                       "CC"      ="Cursos Comunitarios"
                       "UPV"     ="Privadas"
                       "GRAL"    ="Generales"
                       "TEC"     ="Tcnicas"
                       "TV"      ="Telesecundarias"
                       "PRIV"    ="Privadas";
     VALUE $entestdomF "999999"  ="Respuesta omitida";
     VALUE sexoF       1         ="Hombre"
                       2         ="Mujer"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE edadcF
                       1         ="Ocho aos o menos"
                       2         ="Nueve aos"
                       3         ="Diez aos"
                       4         ="Once aos o ms"
                       9         ="Respuesta omitida";
     VALUE edad1sF     1         ="Menos de Ocho aos"
                       2         ="Ocho aos"
                       3         ="Nueve aos"
                       4         ="Diez aos o ms"
                       9         ="Respuesta omitida";
     VALUE edadnF      1         ="Edad normativa"
                       2         ="Extra-edad"
                       9         ="Respuesta omitida";
     VALUE edad_acF    98        ="Respuesta mltiple"
                       99        ="Respuesta omitida";
     VALUE mes_nacF    1         ="Enero"
                       2         ="Febrero"
                       3         ="Marzo"
                       4         ="Abril"
                       5         ="Mayo"
                       6         ="Junio"
                       7         ="Julio"
                       8         ="Agosto"
                       9         ="Septiembre"
                       10        ="Octubre"
                       11        ="Noviembre"
                       12        ="Diciembre"
                       98        ="Respuesta mltiple"
                       99        ="Respuesta omitida";
     VALUE docenteF    99999     ="Respuesta omitida";
     VALUE RespF       0         ="Fallo"
                       1         ="Acierto"
                       5         ="Reactivo no alcanzado (se considera como no administrado)"
                       7         ="Reactivo no administrado";
RUN;



DATA INEE.Excale03_2006_Alum_Mate;
   LENGTH
       nacional           3
       escuela            4
       id_ent             3
       nom_ent            $20
       id_mod             3
       mod                $4
       entest             $6
       entestdom          $6
       alumno             6
       id_instr           $16
       sexo               3
       edad               8
       edadc              3
       edad1sep           8
       edad1sepc          3
       edadn              3
       edad_ac            3
       mes_nac            3
       w_alu              8
       docente            5
       pma_01             3
       pma_02             3
       pma_03             3
       pma_04             3
       pma_05             3
       pma_06             3
       pma_07             3
       pma_08             3
       pmb_01             3
       pmb_02             3
       pmb_03             3
       pmb_04             3
       pmb_05             3
       pmb_06             3
       pmb_07             3
       pmb_08             3
       pmc_01             3
       pmc_02             3
       pmc_03             3
       pmc_04             3
       pmc_05             3
       pmc_06             3
       pmc_07             3
       pmc_08             3
       pmd_01             3
       pmd_02             3
       pmd_03             3
       pmd_04             3
       pmd_05             3
       pmd_06             3
       pmd_07             3
       pmd_08             3
       pme_01             3
       pme_02             3
       pme_03             3
       pme_04             3
       pme_05             3
       pme_06             3
       pme_07             3
       pme_08             3
       pmf_01             3
       pmf_02             3
       pmf_03             3
       pmf_04             3
       pmf_05             3
       pmf_06             3
       pmf_07             3
       pmf_08             3
       pmg_01             3
       pmg_02             3
       pmg_03             3
       pmg_04             3
       pmg_05             3
       pmg_06             3
       pmg_07             3
       pmg_08             3
       pmh_01             3
       pmh_02             3
       pmh_03             3
       pmh_04             3
       pmh_05             3
       pmh_06             3
       pmh_07             3
       pmh_08             3
       pmi_02             3
       pmi_03             3
       pmi_04             3
       pmi_05             3
       pmi_06             3
       pmi_07             3
       pmi_08             3
       pmi_09             3
       pmj_01             3
       pmj_02             3
       pmj_03             3
       pmj_04             3
       pmj_05             3
       pmj_06             3
       pmj_07             3
       pmj_08             3
       pv1Mat             8
       pv2Mat             8
       pv3Mat             8
       pv4Mat             8
       pv5Mat             8
       Matnvl1            3
       Matnvl2            3
       Matnvl3            3
       Matnvl4            3
       Matnvl5            3
       Matnvlb1           3
       Matnvlb2           3
       Matnvlb3           3
       Matnvlb4           3
       Matnvlb5           3
       wvarstrr           3
       w_fstr1            8
       w_fstr2            8
       w_fstr3            8
       w_fstr4            8
       w_fstr5            8
       w_fstr6            8
       w_fstr7            8
       w_fstr8            8
       w_fstr9            8
       w_fstr10           8
       w_fstr11           8
       w_fstr12           8
       w_fstr13           8
       w_fstr14           8
       w_fstr15           8
       w_fstr16           8
       w_fstr17           8
       w_fstr18           8
       w_fstr19           8
       w_fstr20           8
       w_fstr21           8
       w_fstr22           8
       w_fstr23           8
       w_fstr24           8
       w_fstr25           8
       w_fstr26           8
       w_fstr27           8
       w_fstr28           8
       w_fstr29           8
       w_fstr30           8
       w_fstr31           8
       w_fstr32           8
       w_fstr33           8
       w_fstr34           8
       w_fstr35           8
       w_fstr36           8
       w_fstr37           8
       w_fstr38           8
       w_fstr39           8
       w_fstr40           8
       w_fstr41           8
       w_fstr42           8
       w_fstr43           8
       w_fstr44           8
       w_fstr45           8
       w_fstr46           8
       w_fstr47           8
       w_fstr48           8
       w_fstr49           8
       w_fstr50           8
       w_fstr51           8
       w_fstr52           8
       w_fstr53           8
       w_fstr54           8
       w_fstr55           8
       w_fstr56           8
       w_fstr57           8
       w_fstr58           8
       w_fstr59           8
       w_fstr60           8
       w_fstr61           8
       w_fstr62           8
       w_fstr63           8
       w_fstr64           8
       w_fstr65           8
       w_fstr66           8
       w_fstr67           8
       w_fstr68           8
       w_fstr69           8
       w_fstr70           8
       w_fstr71           8
       w_fstr72           8
       w_fstr73           8
       w_fstr74           8
       w_fstr75           8
       w_fstr76           8
       w_fstr77           8
       w_fstr78           8
       w_fstr79           8
       w_fstr80           8
   ;

INFILE alum MISSOVER LINESIZE = 1410;
   INPUT
       nacional              1 - 1
       escuela               2 - 5
       id_ent                6 - 7
       nom_ent               8 - 27
       id_mod               28 - 28
       mod                  29 - 32
       entest               33 - 38
       entestdom            39 - 44
       alumno               45 - 50
       id_instr             51 - 66
       sexo                 67 - 67
       EDAD                 68 - 72
       EDADC                73 - 73
       edad1sep             74 - 89
       edad1sepc            90 - 92
       EDADN                93 - 93
       edad_ac              94 - 95
       mes_nac              96 - 97
       w_alu                98 - 113
       docente             114 - 118
       pma_01              119 - 119
       pma_02              120 - 120
       pma_03              121 - 121
       pma_04              122 - 122
       pma_05              123 - 123
       pma_06              124 - 124
       pma_07              125 - 125
       pma_08              126 - 126
       pmb_01              127 - 127
       pmb_02              128 - 128
       pmb_03              129 - 129
       pmb_04              130 - 130
       pmb_05              131 - 131
       pmb_06              132 - 132
       pmb_07              133 - 133
       pmb_08              134 - 134
       pmc_01              135 - 135
       pmc_02              136 - 136
       pmc_03              137 - 137
       pmc_04              138 - 138
       pmc_05              139 - 139
       pmc_06              140 - 140
       pmc_07              141 - 141
       pmc_08              142 - 142
       pmd_01              143 - 143
       pmd_02              144 - 144
       pmd_03              145 - 145
       pmd_04              146 - 146
       pmd_05              147 - 147
       pmd_06              148 - 148
       pmd_07              149 - 149
       pmd_08              150 - 150
       pme_01              151 - 151
       pme_02              152 - 152
       pme_03              153 - 153
       pme_04              154 - 154
       pme_05              155 - 155
       pme_06              156 - 156
       pme_07              157 - 157
       pme_08              158 - 158
       pmf_01              159 - 159
       pmf_02              160 - 160
       pmf_03              161 - 161
       pmf_04              162 - 162
       pmf_05              163 - 163
       pmf_06              164 - 164
       pmf_07              165 - 165
       pmf_08              166 - 166
       pmg_01              167 - 167
       pmg_02              168 - 168
       pmg_03              169 - 169
       pmg_04              170 - 170
       pmg_05              171 - 171
       pmg_06              172 - 172
       pmg_07              173 - 173
       pmg_08              174 - 174
       pmh_01              175 - 175
       pmh_02              176 - 176
       pmh_03              177 - 177
       pmh_04              178 - 178
       pmh_05              179 - 179
       pmh_06              180 - 180
       pmh_07              181 - 181
       pmh_08              182 - 182
       pmi_02              183 - 183
       pmi_03              184 - 184
       pmi_04              185 - 185
       pmi_05              186 - 186
       pmi_06              187 - 187
       pmi_07              188 - 188
       pmi_08              189 - 189
       pmi_09              190 - 190
       pmj_01              191 - 191
       pmj_02              192 - 192
       pmj_03              193 - 193
       pmj_04              194 - 194
       pmj_05              195 - 195
       pmj_06              196 - 196
       pmj_07              197 - 197
       pmj_08              198 - 198
       pv1Mat              199 - 214
       pv2Mat              215 - 230
       pv3Mat              231 - 246
       pv4Mat              247 - 262
       pv5Mat              263 - 278
       Matnvl1             279 - 279
       Matnvl2             280 - 280
       Matnvl3             281 - 281
       Matnvl4             282 - 282
       Matnvl5             283 - 283
       Matnvlb1            284 - 284
       Matnvlb2            285 - 285
       Matnvlb3            286 - 286
       Matnvlb4            287 - 287
       Matnvlb5            288 - 288
       wvarstrr            289 - 290
       w_fstr1             291 - 304
       w_fstr2             305 - 318
       w_fstr3             319 - 332
       w_fstr4             333 - 346
       w_fstr5             347 - 360
       w_fstr6             361 - 374
       w_fstr7             375 - 388
       w_fstr8             389 - 402
       w_fstr9             403 - 416
       w_fstr10            417 - 430
       w_fstr11            431 - 444
       w_fstr12            445 - 458
       w_fstr13            459 - 472
       w_fstr14            473 - 486
       w_fstr15            487 - 500
       w_fstr16            501 - 514
       w_fstr17            515 - 528
       w_fstr18            529 - 542
       w_fstr19            543 - 556
       w_fstr20            557 - 570
       w_fstr21            571 - 584
       w_fstr22            585 - 598
       w_fstr23            599 - 612
       w_fstr24            613 - 626
       w_fstr25            627 - 640
       w_fstr26            641 - 654
       w_fstr27            655 - 668
       w_fstr28            669 - 682
       w_fstr29            683 - 696
       w_fstr30            697 - 710
       w_fstr31            711 - 724
       w_fstr32            725 - 738
       w_fstr33            739 - 752
       w_fstr34            753 - 766
       w_fstr35            767 - 780
       w_fstr36            781 - 794
       w_fstr37            795 - 808
       w_fstr38            809 - 822
       w_fstr39            823 - 836
       w_fstr40            837 - 850
       w_fstr41            851 - 864
       w_fstr42            865 - 878
       w_fstr43            879 - 892
       w_fstr44            893 - 906
       w_fstr45            907 - 920
       w_fstr46            921 - 934
       w_fstr47            935 - 948
       w_fstr48            949 - 962
       w_fstr49            963 - 976
       w_fstr50            977 - 990
       w_fstr51            991 - 1004
       w_fstr52           1005 - 1018
       w_fstr53           1019 - 1032
       w_fstr54           1033 - 1046
       w_fstr55           1047 - 1060
       w_fstr56           1061 - 1074
       w_fstr57           1075 - 1088
       w_fstr58           1089 - 1102
       w_fstr59           1103 - 1116
       w_fstr60           1117 - 1130
       w_fstr61           1131 - 1144
       w_fstr62           1145 - 1158
       w_fstr63           1159 - 1172
       w_fstr64           1173 - 1186
       w_fstr65           1187 - 1200
       w_fstr66           1201 - 1214
       w_fstr67           1215 - 1228
       w_fstr68           1229 - 1242
       w_fstr69           1243 - 1256
       w_fstr70           1257 - 1270
       w_fstr71           1271 - 1284
       w_fstr72           1285 - 1298
       w_fstr73           1299 - 1312
       w_fstr74           1313 - 1326
       w_fstr75           1327 - 1340
       w_fstr76           1341 - 1354
       w_fstr77           1355 - 1368
       w_fstr78           1369 - 1382
       w_fstr79           1383 - 1396
       w_fstr80           1397 - 1410
   ;

   LABEL
       nacional    = "Variable auxiliar para obtener promedios nacionales"
       escuela     = "Identificador de la escuela"
       id_ent      = "Entidad federativa (identificador numrico)"
       nom_ent     = "Entidad federativa"
       id_mod      = "Estrato escolar o Modalidad educativa (identificador numrico)"
       mod         = "Estrato escolar o Modalidad educativa"
       entest      = "Estratos del diseo muestral con el que se estiman los parmetros y errores estndar (Entidad federativa-Modalidad)"
       entestdom   = "Variable auxiliar para identificar los dominios de estudio (subpoblaciones donde se reportan resultados) a nivel de modalidad al interior de las entidades"
       alumno      = "Identifcador del alumno"
       id_instr    = "Identificador del cuadernillo de examen"
       sexo        = "Sexo del alumno"
       edad        = "Edad del alumno al mes de mayo de 2006, en aos (al momento de la aplicacin)"
       edadc       = "Edad del alumno al mes de mayo de 2006, codificada (al momento de la aplicacin)"
       edad1sep    = "Edad del alumno al mes de septiembre de 2005, en aos (al inicio del ciclo escolar)"
       edad1sepc   = "Edad del alumno al mes de septiembre de 2005, codificada (al inicio del ciclo escolar)"
       edadn       = "Edad normativa"
       edad_ac     = "Edad en aos cumplidos (al momento de la aplicacin)"
       mes_nac     = "Mes de nacimiento del alumno (al momento de la aplicacin)"
       w_alu       = "Peso muestral o ponderador del alumno"
       docente     = "Identificador del docente que imparte clases al alumno"
       pma_01      = "Reactivo PMA_01. Escribir y ordenar nmeros dadas tres cifras."
       pma_02      = "Reactivo PMA_02. Calcular multiplicaciones con dos factores; uno de dos, el otro de una cifra y con transformacin."
       pma_03      = "Reactivo PMA_03. Calcular sumas con tres sumandos y sin transformacin"
       pma_04      = "Reactivo PMA_04. Identificar el problema que puede ser resuelto dada una operacin con nmeros de dos cifras.."
       pma_05      = "Reactivo PMA_05. Estimar la longitud de un metro."
       pma_06      = "Reactivo PMA_06. Leer e interpretar informacin organizada en tablas de doble entrada."
       pma_07      = "Reactivo PMA_07. Resolver problemas aditivos de comparacin con la incgnita en la diferencia."
       pma_08      = "Reactivo PMA_08. Reconocer el nmero de caras de algunos prismas.."
       pmb_01      = "Reactivo PMB_01. Identificar descomposiciones aditivas no convencionales de un nmero de cuatro cifras."
       pmb_02      = "Reactivo PMB_02. Resolver problemas de variacin proporcional conocido el valor unitario y cuya solucin implique una multiplicacin o una suma iterada"
       pmb_03      = "Reactivo PMB_03. Resolver problemas de reparto, con apoyo grfico y que puedan ser resueltos mediante una divisin."
       pmb_04      = "Reactivo PMB_04. Identificar descomposiciones aditivas de un nmero utilizando la notacin desarrollada."
       pmb_05      = "Reactivo PMB_05. Resolver problemas de reparto, sin apoyo grfico y cuya solucin implique el uso de la divisin."
       pmb_06      = "Reactivo PMB_06. Comparar superficies de manera perceptual."
       pmb_07      = "Reactivo PMB_07. Identificar figuras geomtricas con relacin a la forma de sus lados."
       pmb_08      = "Reactivo PMB_08. Resolver problemas aditivos de comparacin con la incgnita en la cantidad comparada."
       pmc_01      = "Reactivo PMC_01. Identificar fracciones mediante su representacin grfica utilizando modelos continuos"
       pmc_02      = "Reactivo PMC_02. Identificar el sucesor de un nmero de tres cifras."
       pmc_03      = "Reactivo PMC_03. Generalizar e identificar constantes aditivas de una cifra en secuencias numricas decrecientes."
       pmc_04      = "Reactivo PMC_04. Resolver problemas aditivos de combinacin con la incgnita en el conjunto total."
       pmc_05      = "Reactivo PMC_05. Resolver problemas aditivos de combinacin con la incgnita en una de las partes."
       pmc_06      = "Reactivo PMC_06. Comparar la longitud de distintos objetos utilizando unidades de medida no convencionales."
       pmc_07      = "Reactivo PMC_07. Ubicar espacialmente objetos, cuando el elemento de referencia no coincide con la lateralidad del alumno."
       pmc_08      = "Reactivo PMC_08. Leer e interpretar pictogramas sencillos."
       pmd_01      = "Reactivo PMD_01. Identificar la equivalencia de fracciones."
       pmd_02      = "Reactivo PMD_02. Resolver problemas con nmeros fraccionarios que impliquen el uso de estructuras aditivas equivalentes."
       pmd_03      = "Reactivo PMD_03. Leer nmeros de cuatro cifras sin cero intermedio."
       pmd_04      = "Reactivo PMD_04. Identificar el problema que puede ser resuelto con una operacin utilizando nmeros de tres cifras."
       pmd_05      = "Reactivo PMD_05. Identificar figuras bsicas en combinaciones y configuraciones geomtricas."
       pmd_06      = "Reactivo PMD_06. Resolver problemas aditivos de cambio con la incgnita en el estado inicial."
       pmd_07      = "Reactivo PMD_07. Estimar la longitud de un centmetro."
       pmd_08      = "Reactivo PMD_08. Leer e interpretar grficas de barras sencillas."
       pme_01      = "Reactivo PME_01. Resolver problemas con arreglos rectangulares, cuya solucin impliquen una multiplicacin."
       pme_02      = "Reactivo PME_02. Identificar la operacin que resuelve un problema aditivo de comparacin."
       pme_03      = "Reactivo PME_03. Resolver problemas aditivos de cambio con la incgnita en la transformacin."
       pme_04      = "Reactivo PME_04. Escribir nmeros de tres cifras sin cero intermedio."
       pme_05      = "Reactivo PME_05. Leer pictogramas sencillos."
       pme_06      = "Reactivo PME_06. Resolver problemas que impliquen comparar el peso de objetos utilizando el kilogramo como unidad de referencia."
       pme_07      = "Reactivo PME_07. Identificar el tamao aparente de objetos a partir de la perspectiva de la que se observan."
       pme_08      = "Reactivo PME_08. Calcular multiplicaciones con dos factores, ambos de dos cifras y con transformacin."
       pmf_01      = "Reactivo PMF_01. Resolver problemas que impliquen el uso del reloj de manecillas."
       pmf_02      = "Reactivo PMF_02. Escribir nmeros de tres cifras con cero intermedio."
       pmf_03      = "Reactivo PMF_03. Resolver problemas tasativos, con apoyo grfico y que puedan ser resueltos mediante una divisin."
       pmf_04      = "Reactivo PMF_04. Resolver problemas aditivos sencillos cuya solucin implique hacer dos operaciones."
       pmf_05      = "Reactivo PMF_05. Escribir y ordenar nmeros dadas tres cifras."
       pmf_06      = "Reactivo PMF_06. Medir objetos utilizando la regla graduada y el centmetro como unidad de medida."
       pmf_07      = "Reactivo PMF_07. Ubicar espacialmente objetos, cuando el elemento de referencia coincide con la lateralidad del alumno."
       pmf_08      = "Reactivo PMF_08. Resolver problemas aditivos de cambio con la incgnita en el estado final."
       pmg_01      = "Reactivo PMG_01. Resolver problemas de reparto utilizando modelos continuos."
       pmg_02      = "Reactivo PMG_02. Resolver problemas que impliquen el uso de fracciones en situaciones de medida."
       pmg_03      = "Reactivo PMG_03. Comparar entre si dos nmeros de cuatro cifras."
       pmg_04      = "Reactivo PMG_04. Identificar el antecesor de un nmero de cuatro cifras."
       pmg_05      = "Reactivo PMG_05. Resolver problemas aditivos de comparacin con la incgnita en la cantidad de referencia."
       pmg_06      = "Reactivo PMG_06. Resolver problemas que impliquen comparar el peso de objetos utilizando unidades de referencia convencionales."
       pmg_07      = "Reactivo PMG_07. Resolver problemas que impliquen el uso del calendario (semanas y das)."
       pmg_08      = "Reactivo PMG_08. Imaginar la forma de las caras de algunos prismas.."
       pmh_01      = "Reactivo PMH_01. Resolver problemas aditivos de cambio, con la incgnita en el estado inicial y con apoyo grfico."
       pmh_02      = "Reactivo PMH_02. Resolver problemas de variacin proporcional conocido el valor unitario y cuya solucin implique una multiplicacin."
       pmh_03      = "Reactivo PMH_03. Resolver problemas tasativos, sin apoyo grfico y cuya solucin implique el uso de la divisin."
       pmh_04      = "Reactivo PMH_04. Generalizar e identificar constantes aditivas de dos cifras en secuencias numricas crecientes."
       pmh_05      = "Reactivo PMH_05. Comparar superficies utilizando como intermediario una retcula."
       pmh_06      = "Reactivo PMH_06. Leer nmeros de cuatro cifras con un cero intermedio."
       pmh_07      = "Reactivo PMH_07. Identificar rectngulos de dimensiones diversas en combinaciones y configuraciones geomtricas."
       pmh_08      = "Reactivo PMH_08. Resolver problemas que impliquen identificar la informacin contenida en una grfica de barras."
       pmi_02      = "Reactivo PMI_02. Medir la longitud de objetos utilizando unidades de medida no convencionales."
       pmi_03      = "Reactivo PMI_03. Resolver problemas con fracciones en su relacin parte - todo, con repartos mayores a la unidad y con modelos discretos."
       pmi_04      = "Reactivo PMI_04. Leer e interpretar croquis."
       pmi_05      = "Reactivo PMI_05. Calcular multiplicaciones con dos factores; uno de tres, el otro de una cifra y con transformacin."
       pmi_06      = "Reactivo PMI_06. Calcular multiplicaciones sin transformacin donde un factor es de tres cifras y el otro de una"
       pmi_07      = "Reactivo PMI_07. Resolver problemas que impliquen realizar operaciones con unidades de tiempo (horas y minutos)."
       pmi_08      = "Reactivo PMI_08. Resolver problemas que impliquen identificar la informacin contenida en una imagen."
       pmi_09      = "Reactivo PMI_09. Calcular sumas con nmeros de tres cifras, con tres sumandos y con transformacin."
       pmj_01      = "Reactivo PMJ_01. Imaginar la forma de objetos en funcin del punto desde donde se observan."
       pmj_02      = "Reactivo PMJ_02. Resolver problemas que impliquen el uso de fracciones en su relacin parte-todo utilizando modelos discretos."
       pmj_03      = "Reactivo PMJ_03. Calcular restas con nmeros de tres cifras en el minuendo, dos en el sustraendo y con transformacin."
       pmj_04      = "Reactivo PMJ_04. Ordenar nmeros de cuatro cifras."
       pmj_05      = "Reactivo PMJ_05. Calcular restas de tres cifras en el minuendo, dos en el sustraendo y sin transformacin."
       pmj_06      = "Reactivo PMJ_06. Resolver problemas que impliquen conocer la secuencia de los meses."
       pmj_07      = "Reactivo PMJ_07. Resolver problemas que impliquen comparar el peso de objetos utilizando unidades de medida no convencionales."
       pmj_08      = "Reactivo PMJ_08. Identificar la operacin que resuelve un problema dado."
       pv1mat      = "Primer valor plausible de Matemticas"
       pv2mat      = "Segundo valor plausible de Matemticas"
       pv3mat      = "Tercer valor plausible de Matemticas"
       pv4mat      = "Cuarto valor plausible de Matemticas"
       pv5mat      = "Quinto valor plausible de Matemticas"
       matnvl1     = "Nivel de logro en Matemticas. Asociado a pv1mat. (Cuatro niveles)"
       matnvl2     = "Nivel de logro en Matemticas. Asociado a pv2mat. (Cuatro niveles)"
       matnvl3     = "Nivel de logro en Matemticas. Asociado a pv3mat. (Cuatro niveles)"
       matnvl4     = "Nivel de logro en Matemticas. Asociado a pv4mat. (Cuatro niveles)"
       matnvl5     = "Nivel de logro en Matemticas. Asociado a pv5mat. (Cuatro niveles)"
       matnvlb1    = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Matemticas. Asociado a pv1mat."
       matnvlb2    = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Matemticas. Asociado a pv2mat."
       matnvlb3    = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Matemticas. Asociado a pv3mat."
       matnvlb4    = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Matemticas. Asociado a pv4mat."
       matnvlb5    = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Matemticas. Asociado a pv5mat."
       wvarstrr    = "Identificador del pseudoestrato (1 a 80) definido para el clculo de errores estndar con el mtodo de remuestreo BRR"
       w_fstr1     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr2     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr3     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr4     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr5     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr6     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr7     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr8     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr9     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr10    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr11    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr12    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr13    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr14    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr15    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr16    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr17    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr18    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr19    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr20    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr21    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr22    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr23    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr24    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr25    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr26    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr27    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr28    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr29    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr30    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr31    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr32    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr33    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr34    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr35    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr36    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr37    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr38    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr39    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr40    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr41    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr42    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr43    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr44    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr45    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr46    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr47    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr48    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr49    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr50    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr51    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr52    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr53    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr54    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr55    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr56    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr57    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr58    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr59    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr60    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr61    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr62    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr63    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr64    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr65    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr66    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr67    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr68    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr69    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr70    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr71    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr72    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr73    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr74    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr75    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr76    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr77    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr78    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr79    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       w_fstr80    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
   ;

   FORMAT
       nacional           1.
       escuela            4.
       id_ent             id_entF.
       nom_ent            $char20.
       id_mod             id_modF.
       mod                $modF.
       entest             $char6.
       entestdom          $entestdomF.
       alumno             6.
       id_instr           $char16.
       sexo               sexoF.
       edadc              edadcF.
       edad1sepc          edad1sF.
       edadn              edadnF.
       edad_ac            edad_acF.
       mes_nac            mes_nacF.
       docente            docenteF.
       pma_01             RespF.
       pma_02             RespF.
       pma_03             RespF.
       pma_04             RespF.
       pma_05             RespF.
       pma_06             RespF.
       pma_07             RespF.
       pma_08             RespF.
       pmb_01             RespF.
       pmb_02             RespF.
       pmb_03             RespF.
       pmb_04             RespF.
       pmb_05             RespF.
       pmb_06             RespF.
       pmb_07             RespF.
       pmb_08             RespF.
       pmc_01             RespF.
       pmc_02             RespF.
       pmc_03             RespF.
       pmc_04             RespF.
       pmc_05             RespF.
       pmc_06             RespF.
       pmc_07             RespF.
       pmc_08             RespF.
       pmd_01             RespF.
       pmd_02             RespF.
       pmd_03             RespF.
       pmd_04             RespF.
       pmd_05             RespF.
       pmd_06             RespF.
       pmd_07             RespF.
       pmd_08             RespF.
       pme_01             RespF.
       pme_02             RespF.
       pme_03             RespF.
       pme_04             RespF.
       pme_05             RespF.
       pme_06             RespF.
       pme_07             RespF.
       pme_08             RespF.
       pmf_01             RespF.
       pmf_02             RespF.
       pmf_03             RespF.
       pmf_04             RespF.
       pmf_05             RespF.
       pmf_06             RespF.
       pmf_07             RespF.
       pmf_08             RespF.
       pmg_01             RespF.
       pmg_02             RespF.
       pmg_03             RespF.
       pmg_04             RespF.
       pmg_05             RespF.
       pmg_06             RespF.
       pmg_07             RespF.
       pmg_08             RespF.
       pmh_01             RespF.
       pmh_02             RespF.
       pmh_03             RespF.
       pmh_04             RespF.
       pmh_05             RespF.
       pmh_06             RespF.
       pmh_07             RespF.
       pmh_08             RespF.
       pmi_02             RespF.
       pmi_03             RespF.
       pmi_04             RespF.
       pmi_05             RespF.
       pmi_06             RespF.
       pmi_07             RespF.
       pmi_08             RespF.
       pmi_09             RespF.
       pmj_01             RespF.
       pmj_02             RespF.
       pmj_03             RespF.
       pmj_04             RespF.
       pmj_05             RespF.
       pmj_06             RespF.
       pmj_07             RespF.
       pmj_08             RespF.
       matnvl1            1.
       matnvl2            1.
       matnvl3            1.
       matnvl4            1.
       matnvl5            1.
       matnvlb1           1.
       matnvlb2           1.
       matnvlb3           1.
       matnvlb4           1.
       matnvlb5           1.
       wvarstrr           2.
   ;
/**************************************************************************
/*  Definicin de valores perdidos
/*   .N o N = No Administrado o no alcanzado.
/*   .M o M = Respuesta Multiple.
/*   .S o S = No contestado.
/*************************************************************************/
   IF entestdom = "999999"  THEN entestdom = "S";
   IF  sexo = 8 THEN  sexo = .M;
   IF  edad_ac = 98 THEN  edad_ac = .M;
   IF  mes_nac = 98 THEN  mes_nac = .M;

   ARRAY perdidos1(4)  sexo edadc edad1sepc edadn;
   DO  i=1 TO 4;
         IF perdidos1{i}=9 THEN  perdidos1{i}= .S;
   END;

   ARRAY perdidos2(4)  edad edad1sep edad_ac mes_nac;
   DO  i=1 TO 4;
         IF perdidos2{i}=99 THEN  perdidos2{i}= .S;
   END;

   IF  docente = 99999 THEN  docente = .S;

   ARRAY perdidos3(80)
                   pma_01 pma_02 pma_03 pma_04 pma_05 pma_06 pma_07 pma_08 pmb_01 pmb_02
                   pmb_03 pmb_04 pmb_05 pmb_06 pmb_07 pmb_08 pmc_01 pmc_02 pmc_03 pmc_04
                   pmc_05 pmc_06 pmc_07 pmc_08 pmd_01 pmd_02 pmd_03 pmd_04 pmd_05 pmd_06
                   pmd_07 pmd_08 pme_01 pme_02 pme_03 pme_04 pme_05 pme_06 pme_07 pme_08
                   pmf_01 pmf_02 pmf_03 pmf_04 pmf_05 pmf_06 pmf_07 pmf_08 pmg_01 pmg_02
                   pmg_03 pmg_04 pmg_05 pmg_06 pmg_07 pmg_08 pmh_01 pmh_02 pmh_03 pmh_04
                   pmh_05 pmh_06 pmh_07 pmh_08 pmi_02 pmi_03 pmi_04 pmi_05 pmi_06 pmi_07
                   pmi_08 pmi_09 pmj_01 pmj_02 pmj_03 pmj_04 pmj_05 pmj_06 pmj_07 pmj_08;
   DO  i=1 TO 80;
          IF (perdidos3{i} = 5 OR  perdidos3{i} = 7)  THEN  perdidos3{i} = .N;
   END;

   drop i;
RUN;
